umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Ui_AutoLayoutOptionPage Class Reference

`#include <ui_autolayoutoptionpage.h>`

Inheritance diagram for Ui_AutoLayoutOptionPage:

## Public Member Functions
void | setupUi (QWidget *AutoLayoutOptionPage)
void | retranslateUi (QWidget *AutoLayoutOptionPage)

## Public Attributes
QVBoxLayout * | vboxLayout
QGroupBox * | groupBox
QGridLayout * | gridLayout
QCheckBox * | m_autoDotPath
QLabel * | label
KUrlRequester * | m_dotPath
QSpacerItem * | verticalSpacer_2
QGroupBox * | Other
QGridLayout * | gridLayout_2
QCheckBox * | m_showExportLayout
QSpacerItem * | verticalSpacer

## Member Function Documentation

## ◆ retranslateUi()

void Ui_AutoLayoutOptionPage::retranslateUi | ( | QWidget * | AutoLayoutOptionPage | ) |
| inline

## ◆ setupUi()

void Ui_AutoLayoutOptionPage::setupUi | ( | QWidget * | AutoLayoutOptionPage | ) |
| inline

## Member Data Documentation

## ◆ gridLayout

QGridLayout* Ui_AutoLayoutOptionPage::gridLayout

## ◆ gridLayout_2

QGridLayout* Ui_AutoLayoutOptionPage::gridLayout_2

## ◆ groupBox

QGroupBox* Ui_AutoLayoutOptionPage::groupBox

## ◆ label

QLabel* Ui_AutoLayoutOptionPage::label

## ◆ m_autoDotPath

QCheckBox* Ui_AutoLayoutOptionPage::m_autoDotPath

## ◆ m_dotPath

KUrlRequester* Ui_AutoLayoutOptionPage::m_dotPath

## ◆ m_showExportLayout

QCheckBox* Ui_AutoLayoutOptionPage::m_showExportLayout

## ◆ Other

QGroupBox* Ui_AutoLayoutOptionPage::Other

## ◆ vboxLayout

QVBoxLayout* Ui_AutoLayoutOptionPage::vboxLayout

## ◆ verticalSpacer

QSpacerItem* Ui_AutoLayoutOptionPage::verticalSpacer

## ◆ verticalSpacer_2

QSpacerItem* Ui_AutoLayoutOptionPage::verticalSpacer_2

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_autolayoutoptionpage.h